<?php
/**
 * Blog Era Plus functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package RT_Magazine_Plus
 */

/**
 * Enqueue scripts and styles.
 */
function rt_magazine_plus_scripts() {

	wp_enqueue_style( 'rt-magazine-parent-style', get_template_directory_uri() . '/style.css' );

	wp_enqueue_style( 'rt-magazine-pro', get_stylesheet_uri(), array( 'rt-magazine-parent-style' ), '1.0.0' );

	wp_enqueue_script( 'rt-magazine-plus-custom', get_stylesheet_directory_uri() . '/assets/js/custom-main.js', array( 'jquery' ), '20180228', true );
	
}

add_action( 'wp_enqueue_scripts', 'rt_magazine_plus_scripts' );

if ( ! function_exists( 'rt_magazine_plus_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function rt_magazine_plus_setup() {

		add_theme_support( 'post-thumbnails' );
		add_image_size( 'rt-magazine-plus-featured-slider', 1098, 360, true);
		add_image_size( 'rt-magazine-plus-featured-slider-medium', 549, 400, true);
		add_image_size( 'rt-magazine-plus-featured-slider-thumb', 366, 366, true);
		add_image_size( 'rt-magazine-plus-featured-slider-large', 549, 500, true);

		
	}
endif;
add_action( 'after_setup_theme', 'rt_magazine_plus_setup' );


/**
 * Register Slider Widget.
 */
require_once trailingslashit( get_stylesheet_directory() ) . '/inc/widgets/home-featured-slider.php';